[Software] Partially update installed software configuration
curl --request PATCH \
--url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/compute/instances/{instance_id}/software/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"install_parameters": "<unknown>"
}
'import requests
url = "https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/compute/instances/{instance_id}/software/{id}"
payload = { "install_parameters": "<unknown>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({install_parameters: '<unknown>'})
};
fetch('https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/compute/instances/{instance_id}/software/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Compute
[Software] Partially update installed software configuration
Partially update the configuration of installed software. Only provided fields will be updated.
PATCH
/
v1
/
organizations
/
{organization_id}
/
projects
/
{project_id}
/
compute
/
instances
/
{instance_id}
/
software
/
{id}
[Software] Partially update installed software configuration
Authorizations
Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).
Path Parameters
Unique identifier of the installed software.
Unique identifier of the compute instance.
Unique identifier of the organization that owns the resource.
Unique identifier of the project containing the resource.
Body
application/json
Paramètres utilisés lors de l'installation
Response
Installed software updated successfully
⌘I

